/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package open.dolphin.container;

/**
 *
 * @param <Tk>
 * @author oda
 */
public class Pair<Tk, Tv> implements java.io.Serializable {

    public Tk key;
    /**
     *
     */
    public Tv value;

    public Pair(Tk key, Tv value) {
        this.key = key;
        this.value = value;
    }

    @Override
    public String toString() {
        return key.toString();
    }

    public Tv getValue() {
        return value;
    }

    public Tk getKey() {
        return key;
    }
}
